Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-16481

CLI: "Xcode 5.1 is too new" message will appear with CLI GA (3.2.1) plus latest 3.2.2 SDK plus Xcode 5.1 beta 5

    Details

      Description

      Details: If you have CLI GA (3.2.1) with latest 3.2.2 SDK build, ti info -t ios will return "Xcode 5.1 is too new" message if you have xcode-select pointing to Xcode 5.1 beta 5.

      Steps to reproduce:
      1. Make sure your xcode-select is pointing to Xcode 5.1 beta 5: sudo xcode-select -s <PATH_TO>/Xcode51-Beta5.app
      2. Get latest 3.2.2 SDK build
      3. In terminal, run the info command: ti info -t ios
      4. Scroll to the bottom to iOS Issues

      Actual: This message will appear:

      iOS Issues
      ! Xcode 5.1 is too new and may or may not work with Titanium SDK 3.2.2. The maximum supported
      Xcode version by Titanium SDK 3.2.2 is Xcode 5.0..

      Expected: The CLI should not report this config as an issue.

        Attachments

          Activity

            People

            • Assignee:
              cbarber Chris Barber
              Reporter:
              wluu Wilson Luu (Inactive)
              Reviewer:
              Vishal Duggal (Inactive)
            • Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Titanium SDK/CLI <> Titanium Mobile
                  Synced with:
                  TIMOB-18384
                  Sync status:
                  ERROR
                  Last received:
                  Last sent:

                  Git Source Code